EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

            ebook-polish [options] input_file [output_file]

Polera böcker handlar om att sätta glans av perfektion på dina noggrant utformade e-böcker.

Polering försöker minimera ändringarna i den interna koden av din e-bok. Till skillnad från konvertering, plattar den inte ut CSS, byter namn på filer, ändrar teckensnittsstorlekar, justerar marginaler etc. Varje åtgärd utför endast minsta uppsättning av ändringar som krävs för önskad effekt.

Du bör använda det här verktyget som det sista steget i din e-bokskaparprocess.

Observera att polering endast fungerar på filer av formaten AZW3 eller EPUB eller KEPUB.

När du skickar argument till ebook-polish som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

[ALTERNATIV]

    --add-soft-hyphens, -H
        Lägg till mjuka bindestreck till alla ord i boken. Det här gör att boken kan renderas bättre när texten är justerad, hos läsenheter som inte stöder avstavning.

    --compress-images, -i
        Komprimerar förlustfritt bilder i boken, för att minska filstorleken, utan att påverka bildkvaliteten.

    --cover, -c
        Sökvägen till en omslagsbild. Ändrar omslaget som anges i e-boken. Om inget omslag finns, eller omslaget inte är korrekt identifierade, infogas ett nytt omslag.

    --download-external-resources, -d
        Hämta externa resurser som bilder, stilmallar etc. som pekar på URL:er istället för filer i boken. Alla sådana resurser kommer att hämtas och läggas till i boken så att boken inte längre refererar till några externa resurser.

    --embed-fonts, -e
        Bädda in alla teckensnitt som refereras i dokumentet och som inte redan är inbäddade. Detta kommer att skanna din dator efter teckensnitt, och om de finns, kommer de att bäddas in i dokumentet. Se till att du har rätt licens för att bädda in teckensnitt som används i detta dokument.

    --help, -h
        visa denna hjälptext och avsluta

    --jacket, -j
        Infoga en "bokjacka" i början av boken som innehåller all metadata för boken, t.ex. titel, taggar, författare, serier och kommentarer. Alla tidigare bokjackor kommer att ersättas.

    --opf, -o
        Sökväg till en OPF-fil. Metadata i boken uppdateras från OPF-filen.

    --remove-jacket
        Ta bort tidigare infogad bokjacka.

    --remove-soft-hyphens
        Ta bort mjuka bindestreck från all text i boken.

    --remove-unused-css, -u
        Ta bort alla oanvända CSS-regler från stilmallar och <style>-taggar. Vissa böcker skapade från produktionsmallar kan ha ett stort antal extra CSS-regler som inte matchar något faktiskt innehåll. Dessa extra regler kan sakta ner läsenheter som behöver analysera dem alla.

    --smarten-punctuation, -p
        Konvertera bindestreck, ellipser, citattecken, flertal bindestreck etc. till deras typografiskt korrekta motsvarigheter. Observera att algoritmen ibland kan skapa felaktiga resultat, särskilt när enkla citattecken i början av sammandragningar är inblandade.

    --subset-fonts, -f
        Att skapa delmängder av teckensnitt innebär att man reducerar ett inbäddat teckensnitt så att det endast innehåller de tecken som används från det teckensnittet i boken. Detta minskar storleken på teckensnittsfilerna (halvering av teckensnittsfilstorlekar är vanligt). Till exempel, om boken använder ett specifikt teckensnitt för rubriker, kommer delmängdsskapandet att reducera teckensnittet så att det endast innehåller de tecken som finns i själva rubrikerna i boken. Eller om boken bäddar in de feta och kursiva versionerna av ett teckensnitt, men fet och kursiv text är relativt sällsynt, eller helt saknas, kan teckensnitten för fet och kursiv stil antingen reduceras till bara några få tecken eller tas bort helt. Den enda nackdelen med att skapa delmängder av teckensnitt är att om du vid ett senare tillfälle bestämmer dig för att lägga till mer text i dina böcker kanske den nyligen tillagda texten inte täcks av delmängdsteckensnittet.

    --upgrade-book, -U
        Uppgradera bokens interna strukturer, om möjligt. Till exempel uppgraderar EPUB 2 böcker till EPUB 3 böcker.

    --verbose
        Producera mera utförligt utmatning, användbart för felsökning.

    --version
        visar programmets versionsnummer och avsluta

Author
Kovid Goyal

Copyright
Kovid Goyal